nebula版本升级2.0

  • 需求原因 / 使用场景
    现在是单机版方式部署的1.0版本,需要升级,另外创建tag之后建立索引之后,使用lookup语句立即查询会报错,但是隔几秒钟就不会,我觉得是索引没有完全建立好,但是无法排查原因,2.0版本是否有修复这个bug,索引完全建立好后是否有返回信息

  • 需求描述
    需要升级成2.0单机部署版本,是可以直接升级还是需要停掉现有服务,重新部署,如果需要重新部署,能否发一下部署步骤,还有对应java-client文档呢,网站上没有找到

  • 该需求的参考资料(若无,可不填写)

理论上这个问题不是一个需求问题,所以被我改成【使用问题】分类了,然后你可以基于 2.0-rc1 升级到 2.0-ga,升级步骤参考:Nebula Graph v2.0 GA Release Note ,当然你也可以重新部署一份 2.0 版本的 Nebula,部署文档参考:Install Nebula Graph by compiling the source code - Nebula Graph Database Manual ,当然也可以参考配套的 Docker 部署 2.0 Nebula Graph 的视频:用 Docker 部署 Nebula Graph 2.0 和 Nebula Studio 2.0_哔哩哔哩 (゜-゜)つロ 干杯~-bilibili

最后,你要的 Java-Client 文档在 GitHub repo 下,传送门:GitHub - vesoft-inc/nebula-java: Client API and data importer of Nebula Graph in Java

至于你的使用场景中的索引好 lookup 查询会报错,由于没有具体的报错信息给研发同学进一步来研究下,所以无法确定是否是个 bug,当然还是 cc 给索引大佬 @bright-starry-sky

2赞

你好,请问下原先的版本怎么卸载,直接删除就可以吗?

去文档站以 【卸载】为关键词找下对应的操作呢,文档传送门:Nebula Graph 手册

啰嗦一句,遇事不决上文档站搞搜索 :crazy_face:

可以通过 show jobs 查看建立索引的任务是否完成

请问rpm安装的时候出现这种错误怎么解决呢?

盲猜是依赖下载失败,重新尝试下载?cc 给 @hetao 我猜的对吗

这个问题解决了,请问我装新的nebula-console之前需要将之前的nebula-console卸载掉吗?还是说我卸载以前版本的nebula就已经将console也卸载掉了?

1.x版本的console是跟着nebula服务一起的, 单独的nebula-console是2.0才有的, 不需要做 console的卸载操作的。

ps:java-client 暂时还没有文档,使用请查看readme和Examples。
readme: GitHub - vesoft-inc/nebula-java: Client API and data importer of Nebula Graph in Java
Examples: nebula-java/examples/src/main/java/com/vesoft/nebula/examples at master · vesoft-inc/nebula-java · GitHub

1赞

浙ICP备20010487号